Bug 1264419 - Review Request: perl-Clownfish - Apache Clownfish symbiotic object system
Review Request: perl-Clownfish - Apache Clownfish symbiotic object system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1264403
Blocks: 1230641
  Show dependency treegraph
 
Reported: 2015-09-18 08:29 EDT by Petr Pisar
Modified: 2015-09-22 03:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Clownfish-0.4.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 03:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-18 08:29:26 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Clownfish/perl-Clownfish.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Clownfish/perl-Clownfish-0.4.2-1.fc24.src.rpm
Description:
The Apache Clownfish "symbiotic" object system for C is designed to pair
with a "host" dynamic language environment, acilitating the development
of high performance host language extensions. Clownfish classes are
declared in header files with a .cfh extension. The Clownfish headers are
used by the Clownfish compiler to generate C header files and host
language bindings. Methods, functions and variables are defined in normal
C source files.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2015-09-21 04:05:20 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Clownfish-0.4.2-1.fc24.x86_64.rpm | sort | uniq -c
      1 gcc(x86-64)
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl >= 0:5.008003
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Clownfish)
      1 perl(Data::Dumper)
      1 perl(DynaLoader)
      1 perl(Exporter)
      1 perl(Scalar::Util)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 perl-devel(x86-64)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

Binary requires are Ok.

$ rpm -qp --provides perl-Clownfish-0.4.2-1.fc24.x86_64.rpm | sort | uniq -c
      1 perl(Clownfish) = 0.004002
      1 perl(Clownfish::ByteBuf) = 0.004002
      1 perl(Clownfish::Class) = 0.004002
      1 perl(Clownfish::Err) = 0.004002
      1 perl(Clownfish::Hash) = 0.004002
      1 perl(Clownfish::LockFreeRegistry) = 0.004002
      1 perl(Clownfish::Method) = 0.004002
      1 perl(Clownfish::Num) = 0.004002
      1 perl(Clownfish::Obj) = 0.004002
      1 perl(Clownfish::StackString) = 0.004002
      1 perl(Clownfish::String) = 0.004002
      1 perl(Clownfish::Test) = 0.004002
      1 perl(Clownfish::Util::StringHelper) = 0.004002
      1 perl(Clownfish::VArray) = 0.004002
      1 perl(Clownfish::ViewByteBuf) = 0.004002
      1 perl-Clownfish = 0.4.2-1.fc24
      1 perl-Clownfish(x86-64) = 0.4.2-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Clownfish*
perl-Clownfish.src: W: spelling-error %description -l en_US acilitating -> facilitating, militating, facilitation
perl-Clownfish.src: W: spelling-error %description -l en_US cfh -> cf, ch, cf h
perl-Clownfish.x86_64: W: spelling-error %description -l en_US acilitating -> facilitating, militating, facilitation
perl-Clownfish.x86_64: W: spelling-error %description -l en_US cfh -> cf, ch, cf h
perl-Clownfish.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/Clownfish/_include/XSBind.h
2 packages and 1 specfiles checked; 0 errors, 5 warnings.

Rpmlint is ok

The package looks good.
APPROVED.
Comment 2 Petr Pisar 2015-09-21 04:10:59 EDT
New Package SCM Request
=======================
Package Name: perl-Clownfish
Short Description: Apache Clownfish symbiotic object system
Upstream URL: http://search.cpan.org/dist/Clownfish/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-09-21 14:03:18 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2015-09-22 03:20:23 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.